Skip to main content
POST
/
chat
/
feedback
Submit feedback
curl --request POST \
  --url https://platform.agentictrust.com/api/v1/chat/feedback \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "conversationId": "<string>",
  "rating": "POSITIVE",
  "messageId": "<string>",
  "comment": "<string>"
}
'
{
  "feedback": {
    "id": "<string>",
    "conversationId": "<string>",
    "messageId": "<string>",
    "rating": "POSITIVE",
    "comment": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

API key in lum_pk_* format. Pass via x-api-key header or Authorization: Bearer <key>.

Body

application/json
conversationId
string
required
rating
enum<string>
required
Available options:
POSITIVE,
NEGATIVE
messageId
string

Optional. Target a specific message.

comment
string

Optional free-text comment.

Response

Feedback recorded.

feedback
object